Note: This is a legacy endpoint, consider using this endpoint instead. The endpoint will continue to function as documented.
Returns a list of all DVIRs in an organization.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read DVIRs under the Maintenance category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/fleet/dvirs/history \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "7107471",
"authorSignature": {
"signatoryUser": {
"id": "88668",
"name": "Susan Bob"
},
"signedAtTime": "2020-01-27T07:06:25Z",
"type": "driver"
},
"endTime": "2020-01-27T07:06:25Z",
"licensePlate": "XHK1234",
"location": "350 Rhode Island St Ste. 400S, San Francisco, CA 94103",
"mechanicNotes": "Replaced headlight on passenger side.",
"odometerMeters": 14010293,
"safetyStatus": "unsafe",
"secondSignature": {
"signatoryUser": {
"id": "88668",
"name": "Susan Bob"
},
"signedAtTime": "2020-01-27T07:06:25Z",
"type": "driver"
},
"startTime": "2020-01-27T07:06:25Z",
"thirdSignature": {
"signatoryUser": {
"id": "88668",
"name": "Susan Bob"
},
"signedAtTime": "2020-01-27T07:06:25Z",
"type": "driver"
},
"trailer": {
"id": "123456789",
"name": "Midwest Trailer #5"
},
"trailerDefects": [
{
"id": "18",
"isResolved": true,
"comment": "Air Compressor not working",
"createdAtTime": "2020-01-27T07:06:25Z",
"defectType": "Air Compressor",
"mechanicNotes": "Extremely large oddly shaped hole in passenger side window.",
"mechanicNotesUpdatedAtTime": "2020-01-27T07:06:25Z",
"resolvedAtTime": "2020-01-27T07:06:25Z",
"resolvedBy": {
"id": "11",
"name": "Christopher 'The Handyman' Zhen",
"type": "driver"
},
"trailer": {
"id": "123456789",
"name": "Midwest Trailer #5"
},
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
}
}
],
"trailerName": "Midwest Trailer #5",
"type": "preTrip",
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
},
"vehicleDefects": [
{
"id": "18",
"isResolved": true,
"comment": "Air Compressor not working",
"createdAtTime": "2020-01-27T07:06:25Z",
"defectType": "Air Compressor",
"mechanicNotes": "Extremely large oddly shaped hole in passenger side window.",
"mechanicNotesUpdatedAtTime": "2020-01-27T07:06:25Z",
"resolvedAtTime": "2020-01-27T07:06:25Z",
"resolvedBy": {
"id": "11",
"name": "Christopher 'The Handyman' Zhen",
"type": "driver"
},
"trailer": {
"id": "123456789",
"name": "Midwest Trailer #5"
},
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
}
}
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The limit for how many objects will be in the response. Default and max for this value is 512 objects.
1 <= x <= 512If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678
A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678
A start time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
An end time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
curl --request GET \
--url https://api.samsara.com/fleet/dvirs/history \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "7107471",
"authorSignature": {
"signatoryUser": {
"id": "88668",
"name": "Susan Bob"
},
"signedAtTime": "2020-01-27T07:06:25Z",
"type": "driver"
},
"endTime": "2020-01-27T07:06:25Z",
"licensePlate": "XHK1234",
"location": "350 Rhode Island St Ste. 400S, San Francisco, CA 94103",
"mechanicNotes": "Replaced headlight on passenger side.",
"odometerMeters": 14010293,
"safetyStatus": "unsafe",
"secondSignature": {
"signatoryUser": {
"id": "88668",
"name": "Susan Bob"
},
"signedAtTime": "2020-01-27T07:06:25Z",
"type": "driver"
},
"startTime": "2020-01-27T07:06:25Z",
"thirdSignature": {
"signatoryUser": {
"id": "88668",
"name": "Susan Bob"
},
"signedAtTime": "2020-01-27T07:06:25Z",
"type": "driver"
},
"trailer": {
"id": "123456789",
"name": "Midwest Trailer #5"
},
"trailerDefects": [
{
"id": "18",
"isResolved": true,
"comment": "Air Compressor not working",
"createdAtTime": "2020-01-27T07:06:25Z",
"defectType": "Air Compressor",
"mechanicNotes": "Extremely large oddly shaped hole in passenger side window.",
"mechanicNotesUpdatedAtTime": "2020-01-27T07:06:25Z",
"resolvedAtTime": "2020-01-27T07:06:25Z",
"resolvedBy": {
"id": "11",
"name": "Christopher 'The Handyman' Zhen",
"type": "driver"
},
"trailer": {
"id": "123456789",
"name": "Midwest Trailer #5"
},
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
}
}
],
"trailerName": "Midwest Trailer #5",
"type": "preTrip",
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
},
"vehicleDefects": [
{
"id": "18",
"isResolved": true,
"comment": "Air Compressor not working",
"createdAtTime": "2020-01-27T07:06:25Z",
"defectType": "Air Compressor",
"mechanicNotes": "Extremely large oddly shaped hole in passenger side window.",
"mechanicNotesUpdatedAtTime": "2020-01-27T07:06:25Z",
"resolvedAtTime": "2020-01-27T07:06:25Z",
"resolvedBy": {
"id": "11",
"name": "Christopher 'The Handyman' Zhen",
"type": "driver"
},
"trailer": {
"id": "123456789",
"name": "Midwest Trailer #5"
},
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
}
}
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}